/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2014.08.21.
*   Chip         -  Atmel ATmega8
*   Compiler     -  avr-gcc (WinAVR)
*
*   PWM1 - LED fenye felerosodik, elhalvanyul...
*   
********************************************************************************
*   PonyProg Configuration and Security Bits (bepipalva):
*
*   CKSEL3, CKSEL2, CKSEL1, CKSEL0
*   P       P       -       -       0011  Calibrated Internal RC Oscillator 4MHz
*
*   Calibrated Internal RC Oscillator
*   SUT1  SUT0
*   -     P         Slowly rising power
*   
********************************************************************************
*
*    Programozo fej:
*     1 RST            - AVR NRES - 1
*     2 X
*     3 SCK            - AVR SCK  - 19
*     4 MISO           - AVR MISO - 18
*     5 MOSI           - AVR MOSI - 17
*     6 GND
*
*    Egyeb:
*     VCC - LED - K22  - AVR OC1A - 15
*
*******************************************************************************/

#define F_CPU                _4MHZ




#include "tkiraaly_atmega8.h"
#include <util/delay.h>




int main( void)
{
   U8 i= 0;
   T1_PWM;
   T1_FP_8; 
   OC1A_ENABLE;
   for(;;)
   {
      while( ++i < 255)
      {
         OCR1A= i;
         _delay_ms( 20);
      }
      while( --i > 0)
      {
         OCR1A= i;
         _delay_ms( 20);
      }
   }
   return 0;
}
